Marketplace

List Marketplace Item Features

Lists marketplace item features.

GET
/marketplace-item-features.list

Lists marketplace item features.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Query Parameters

cursor?string

To start listing marketplace item features cursor field should not be provided. Set cursor to value returned by the previous call to list marketplace item features in the next page.

Formattext
feature_type?array<marketplace-item-feature-feature-type>

Filters on feature type for marketplace item features.

import_capabilities?array<string>

Filters on import capabilities for marketplace item import features.

limit?integer

Limit for how many marketplace item features to be retrieved per page. Default is 50.

Formatint32
marketplace?string

Marketplace ID where to list marketplace item features.

Formatid
mode?string

The iteration mode to use, otherwise if not set, then "after" is used.

Value in"after" | "before"
operation_type?array<marketplace-item-operation-feature-operation-type>

Filters on operation type for marketplace item operation features.

server_type?array<marketplace-item-mcp-server-feature-server-type>

Filters on server type for marketplace item MCP server features.

sort_by?array<string>

List of fields to sort the marketplace item feature objects, by and how to sort them. Default is to sort by created_date in descending order.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.devrev.ai/marketplace-item-features.list"
{
  "marketplace_item_features": [
    {
      "type": "marketplace_item_import_feature",
      "created_by": {
        "type": "dev_user",
        "display_id": "string",
        "id": "string",
        "display_name": "string",
        "display_picture": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "email": "string",
        "full_name": "string",
        "state": "active"
      },
      "created_date": "2023-01-01T12:00:00.000Z",
      "display_id": "string",
      "id": "string",
      "modified_by": {
        "type": "dev_user",
        "display_id": "string",
        "id": "string",
        "display_name": "string",
        "display_picture": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "email": "string",
        "full_name": "string",
        "state": "active"
      },
      "modified_date": "2023-01-01T12:00:00.000Z",
      "object_version": 0,
      "description": "string",
      "feature_type": "import",
      "marketplace_item": {
        "display_id": "string",
        "id": "string",
        "item_type": "app",
        "meta_score": 0,
        "name": "string",
        "slug": "string",
        "tagline": "string"
      },
      "name": "string",
      "capabilities": [
        "string"
      ]
    }
  ],
  "next_cursor": "string",
  "prev_cursor": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden",
  "object_ids": [
    "string"
  ]
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}